Package org.eclipse.gef.mvc.fx.ui

# Class MvcFxUiModule

java.lang.Object
com.google.inject.AbstractModule
org.eclipse.gef.mvc.fx.ui.MvcFxUiModule

All Implemented Interfaces:
  `Module`

public class MvcFxUiModule extends AbstractModule
The `MvcFxUiModule` contains Eclipse UI specific bindings in the context of an MVC.FX application.

## Constructor Summary

Constructors
Constructor
Description
`MvcFxUiModule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindFXCanvasFactory()`
Binds an `IFXCanvasFactory` that can be used to create an `FXCanvas`.
`protected void`
`bindIDirtyStateProviderFactory()`
Binds a factory for the creation of `HistoryBasedDirtyStateProvider` as `IDirtyStateProvider`.
`protected void`
`bindIOperationHistory()`
Binds `IOperationHistory` to the operation history of the Eclipse workbench.
`protected void`
`bindIPropertySheetPageFactory()`
Binds a factory for assisted injection of `UndoablePropertySheetPage` as `IPropertySheetPage`.
`protected void`
`bindISelectionProviderFactory()`
Binds a factory for the creation of `ContentSelectionProvider` as `ISelectionProvider`.
`protected void`
`configure()`

### Methods inherited from class com.google.inject.AbstractModule

`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestInjection, requestStaticInjection, requireBinding, requireBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MvcFxUiModule

public MvcFxUiModule()

## Method Details

### bindFXCanvasFactory

protected void bindFXCanvasFactory()
Binds an `IFXCanvasFactory` that can be used to create an `FXCanvas`.

### bindIDirtyStateProviderFactory

protected void bindIDirtyStateProviderFactory()
Binds a factory for the creation of `HistoryBasedDirtyStateProvider` as `IDirtyStateProvider`.

### bindIOperationHistory

protected void bindIOperationHistory()
Binds `IOperationHistory` to the operation history of the Eclipse workbench.

### bindIPropertySheetPageFactory

protected void bindIPropertySheetPageFactory()
Binds a factory for assisted injection of `UndoablePropertySheetPage` as `IPropertySheetPage`.

### bindISelectionProviderFactory

protected void bindISelectionProviderFactory()
Binds a factory for the creation of `ContentSelectionProvider` as `ISelectionProvider`.

### configure

protected void configure()

Overrides:
  `configure` in class `AbstractModule`